Index: jobvista-frontend/src/views/dashboard/Dashboard.js
===================================================================
--- jobvista-frontend/src/views/dashboard/Dashboard.js	(revision 4d97b633e131eca76d6c290321725684fc1d5970)
+++ jobvista-frontend/src/views/dashboard/Dashboard.js	(revision d8b6c91094bd4c748b347d914a3c4c3745d51587)
@@ -1,173 +1,28 @@
-import "../shared_css/Random.css"
-
-import {useDispatch, useSelector} from "react-redux";
-import {useEffect, useState} from "react";
-import {JobAdvertisementActions} from "../../redux/actions/jobAdvertisementActions";
-import {formatRelativeTime, sortElementsBy} from "../../utils/utils";
-import {dataRangeOptions, industryOptions, industryOptionsFilter, sortOptions} from "../selectOptions";
-import Select from "react-select";
-import Roles from "../../enumerations/Roles";
-import {Link} from "react-router-dom";
-import JobType from "../../enumerations/JobType";
-import {AUTH_TOKEN} from "../../axios/axiosInstance";
-import {jwtDecode} from "jwt-decode";
-import {RecruiterActions} from "../../redux/actions/recruiterActions";
-
 export const Dashboard = () => {
 
-    const dispatch = useDispatch();
-
-    const [jobAdvertisements, setJobAdvertisements] = useState([]);
-    let jobAdvertisementsState = useSelector(state => state.jobAd.jobAdvertisements)
-    const [jobDispatched, setJobDispatched] = useState(false);
-
-    const [logos, setLogos] = useState({});
-    let logosState = useSelector(state => state.images.logos)
-    const [logoDispatched, setLogoDispatched] = useState(false);
-
-    const auth = useSelector(state => state.auth);
-
-    // const [role, setRole] = useState("");
-    const [selectedSortOrder, setSelectedSortOrder] = useState("date_newest");
-    const [selectedIndustry, setSelectedIndustry] = useState("all");
-    const [searchTerm, setSearchTerm] = useState("");
-
-
-    useEffect(() => {
-        if (!jobDispatched && jobAdvertisementsState.length == 0) {
-            dispatch(JobAdvertisementActions.fetchJobAdvertisements((success, response) => {
-                if (success && response.data.length > 0) {
-                    setJobAdvertisements(sortElementsBy(response.data, "postedOn"))
-                }
-                setJobDispatched(true)
-                console.log("Fetch all job advertisements GET")
-            }))
-
-        } else {
-            setJobAdvertisements(sortElementsBy(jobAdvertisementsState, "postedOn"))
-            console.log("Fetch all job advertisements STATE")
-
-
-        }
-    }, [jobAdvertisementsState])
-
-    useEffect(() => {
-
-        if(jobDispatched && !logoDispatched) {
-            jobAdvertisements.forEach(jobAd => {
-                if(jobAd.recruiterId && !logos[jobAd.recruiterId]) {
-                    fetchLogo(jobAd.recruiterId);
-                }
-            })
-            setLogoDispatched(true)
-            console.log("Fetch all logos GET")
-        } else {
-            setLogos(logosState)
-            console.log("Fetch all logos STATE")
-        }
-
-        }, [jobDispatched, logosState])
-
-    const fetchLogo = (recruiterId) => {
-        dispatch(RecruiterActions.downloadLogo(recruiterId, (success, response) => {
-            if(success) {
-                setLogos(prevLogos => ({...prevLogos, [recruiterId]: response}))
-            }
-        }));
-    };
-
-    let filterJobAdvertisements = () => {
-        JobAdvertisementActions.filterJobAdvertisements(
-            {
-                searchTerm: searchTerm,
-                industry: selectedIndustry,
-                sortOrder: selectedSortOrder
-            }, (success, response) => {
-                if (success) {
-                    setJobAdvertisements(response.data);
-                }
-            }
-        )
-    }
 
     return (
-
         <div className="container">
-            <div className="filter-container">
-                <div className="row">
-                    <div className="col-md-12 filter-box">
-                        <div className="search-container">
-                            <i className="fa-solid fa-magnifying-glass search-icon"></i>
-                            <input
-                                className="search-input"
-                                type="text"
-                                placeholder="Search job advertisement by title..."
-                                value={searchTerm}
-                                onChange={event => setSearchTerm(event.target.value)}
-                            />
-                        </div>
-                        <div className="sort-section item">
-                            <Select
-                                defaultValue={{value: "all", label: "All industries"}}
-                                value={selectedIndustry.value}
-                                onChange={option => setSelectedIndustry(option.value)}
-                                options={industryOptionsFilter}
-                                className="sort-range sort"
-                            />
-                        </div>
-                        <div className="sort-section item">
-                            <Select
-                                defaultValue={{value: "newest", label: "Date (Newest First)"}}
-                                value={selectedSortOrder.value}
-                                onChange={option => setSelectedSortOrder(option.value)}
-                                options={sortOptions}
-                                className="sort-range sort"
-                            />
-                        </div>
-                        <button onClick={filterJobAdvertisements} className="blue-submit-button">Find jobs</button>
+            <div className="row justify-content">
+                <div className="col-md-4">
+                    <div className="card">
+                        <h5 className="card-title">Job Listing Name</h5>
+                        <p>Job Listing Data</p>
+                    </div>
+                </div>
+                <div className="col-md-4">
+                    <div className="card">
+                        <h5 className="card-title">Job Listing Name</h5>
+                        <p>Job Listing Data</p>
+                    </div>
+                </div>
+                <div className="col-md-4">
+                    <div className="card">
+                        <h5 className="card-title">Job Listing Name</h5>
+                        <p>Job Listing Data</p>
                     </div>
                 </div>
             </div>
-            <div className="row row-cols-2 row-cols-md-4 g-4">
-                {jobAdvertisements &&
-                    jobAdvertisements.map((jobAd, index) => (
-                        <div key={index} className="col">
-                            <div className="custom-card dashboard-card">
-                                <div className="card-head">
-                                    <span className="hourly-salary"><b>${jobAd.startingSalary}/hr</b></span>
-                                    <span
-                                        className="job-type"> {jobAd.jobType === JobType.JOB ? "Job" : "Internship"}</span>
-                                    {!jobAd.active && <span className="expired">Expired</span>}
-                                </div>
-                                <div className="card-body">
-                                    <img className="card-company-logo"
-                                        // loading gif
-                                        src={logos[jobAd.recruiterId]}
-                                        alt=""
-                                        width={100} height={100}
-                                    />
-                                    <h5 className="card-title">{jobAd.title}</h5>
-                                    <span>{jobAd.industry} • <span style={{
-                                        color: "black",
-                                        fontWeight: "bold"
-                                    }}>{formatRelativeTime(jobAd.postedOn)}</span></span>
-                                    <div className="card-info">
-                                        <span><i className="fa-solid fa-building"
-                                                 style={{color: "#000000"}}></i> Company: <span style={{
-                                            color: "black",
-                                            fontWeight: "bold"
-                                        }}>{jobAd.recruiterName}</span></span> <br/>
-                                    </div>
 
-                                </div>
-                                <div className="card-foot">
-                                    <Link to={`/job-advertisements/${jobAd.id}`} className="card-button">Read
-                                        more</Link>
-                                </div>
-                            </div>
-                        </div>
-                    ))}
-
-            </div>
         </div>
     )
Index: jobvista-frontend/src/views/static/Header.js
===================================================================
--- jobvista-frontend/src/views/static/Header.js	(revision 4d97b633e131eca76d6c290321725684fc1d5970)
+++ jobvista-frontend/src/views/static/Header.js	(revision d8b6c91094bd4c748b347d914a3c4c3745d51587)
@@ -1,82 +1,27 @@
 import {Link, NavLink} from "react-router-dom";
 import "./Header.css"
-import {jwtDecode} from "jwt-decode";
 import {useDispatch, useSelector} from 'react-redux';
 import {useEffect, useState} from "react";
 import {AuthActions} from "../../redux/actions/authActions";
 import Roles from "../../enumerations/Roles";
-import {useNavigate} from "react-router";
-import {AUTH_TOKEN} from "../../axios/axiosInstance";
-import {JobSeekerActions} from "../../redux/actions/JobSeekerActions";
-import {RecruiterActions} from "../../redux/actions/recruiterActions";
 
-export const Header = (props) => {
+export const Header = () => {
 
     const auth = useSelector(state => state.auth.currentUser);
     const dispatch = useDispatch();
-    const navigator = useNavigate();
 
-    const [role, setRole] = useState("");
-    const [username, setUsername] = useState("");
-    const [user, setUser] = useState("");
-
-    const [profilePics, setProfilePics] = useState({});
-    let profilePicState = useSelector(state => state.images.profilePictures);
-    const [profilePicDispatched, setProfilePicDispatched] = useState(false);
-
-    const [logos, setLogos] = useState({});
-    let logoState = useSelector(state => state.images.logos);
-    const [logoDispatched, setLogoDispatched] = useState(false);
+    const [role, setRole] = useState(null);
+    const [username, setUsername] = useState(null);
 
     const signOut = () => {
         dispatch(AuthActions.signOut());
         window.location = "/";
-        //navigator("/")
     }
-    const [isActive, setIsActive] = useState(false);
-
-    const toggleMenu = () => {
-        setIsActive(!isActive);
-    };
 
     useEffect(() => {
-        const token = localStorage.getItem(AUTH_TOKEN);
-        if (token != null) {
-            try {
-                const decodedToken = jwtDecode(token);
-                setUser({
-                    name: decodedToken.name,
-                    role: decodedToken.role,
-                    hasAccess: decodedToken.hasAccess,
-                    id: decodedToken.id
-                });
-            } catch (error) {
-                console.error('Failed to decode token', error);
-            }
-        }
-    }, [auth]);
 
-    useEffect(() => {
         if (auth) {
             setRole(auth.role);
             setUsername(auth.name);
-
-            console.log("ROLE: " + auth.role)
-
-            if (auth.role === Roles.JOBSEEKER) {
-                dispatch(JobSeekerActions.downloadProfilePic(auth.id, (success, reponse) => {
-                    if (success) {
-                        setProfilePics(prevState => ({...prevState, [auth.id]: reponse}))
-                        console.log(reponse)
-                    }
-                }))
-            } else if (auth.role === Roles.RECRUITER) {
-                dispatch(RecruiterActions.downloadLogo(auth.id, (success, reponse) => {
-                    if (success) {
-                        setLogos(prevState => ({...prevState, [auth.id]: reponse}))
-                        console.log(reponse)
-                    }
-                }))
-            }
         }
     }, [auth]);
@@ -85,73 +30,43 @@
         <nav className="navbar navbar-expand-lg bg-light">
             <div className="container-fluid">
-                <Link to="/" className="logo"/>
-                <Link to="/" className="brand-name"/>
-                <div className="navbar-collapse">
+                <Link to="/" className="logo navbar-brand" />
+                <Link to="/" className="brand-name navbar-brand" />
+                <div className="collapse navbar-collapse" id="navbarSupportedContent">
                     <ul className="navbar-nav me-auto mb-2 mb-lg-0">
-                        <NavLink to="/" className="nav-item nav-link">Home</NavLink>
-                        {role == Roles.JOBSEEKER &&
+                        <NavLink to="/" className="nav-item nav-link" activeClassName="active">Home</NavLink>
+                        {role==Roles.JOBSEEKER &&
                             <>
-                                <NavLink to="/my-applications" className="nav-item nav-link">My Applications</NavLink>
+                                <NavLink to="/applications" className="nav-item nav-link" activeClassName="active">Applications</NavLink>
+                                <NavLink to="/favoritejobs" className="nav-item nav-link" activeClassName="active">Saved</NavLink>
+                            </>
+
+                        }
+                        {role==Roles.RECRUITER &&
+                            <>
+                                <NavLink to="/jobadvertisements" className="nav-item nav-link" activeClassName="active">Job Advertisements</NavLink>
+                                <NavLink to="/favoritejobs" className="nav-item nav-link" activeClassName="active">Saved</NavLink>
                             </>
                         }
-                        {role == Roles.RECRUITER &&
-                            <>
-                                <NavLink to="/job-management-hub" className="nav-item nav-link">Job Management Hub</NavLink>
-                            </>
-                        }
-                        {role === Roles.ADMIN &&
-                            <>
-                                <NavLink to="/admin-panel" className="nav-item nav-link">Admin Panel</NavLink>
-                            </>
-                        }
-                        <NavLink to="/about" className="nav-item nav-link">About Us</NavLink>
-                        {/*<NavLink to="/contact" className="nav-item nav-link">Support</NavLink>*/}
+                        <NavLink to="/about" className="nav-item nav-link">About</NavLink>
+                        <NavLink to="/contact" className="nav-item nav-link">Contact</NavLink>
                     </ul>
+
+                    {auth ?
+                        <>
+                            <img src="/images/user.png" width="45" height="45"/>
+                            <div className="auth-box">
+                                <p className="user"><b>{username}</b></p>
+                                <p className="role">{role==Roles.RECRUITER ? "Recruiter" : "Job Seeker"}</p>
+                            </div>
+
+
+                            <Link onClick={signOut} className="btn btn-outline-secondary">Log out</Link>
+                        </> :
+                        <>
+                            <Link to="/signin" className="btn btn-outline-secondary">Sign in</Link>
+                        </>
+                    }
+
                 </div>
-                {(auth.role === Roles.RECRUITER || auth.role === Roles.ADMIN || auth.role === Roles.JOBSEEKER) ?
-                    <>
-                        <div className={`navigation ${isActive ? 'active' : ''}`}>
-                            <div className="user-box">
-                                <div className="image-box">
-                                    {user.role === Roles.JOBSEEKER && <img src={profilePicState[auth.id]} /> }
-                                    {user.role === Roles.RECRUITER && <img src={logoState[auth.id]} /> }
-                                    {user.role === Roles.ADMIN && <img src="/images/admin.jpg"/> }
-                                    {/*<img src="https://lh3.googleusercontent.com/a/ACg8ocJOmmRzyRWcuhJj_sCzIoxMeP1M1DOgQ1UeYsFoeJuFB4XgOAnS=s96-c"/>*/}
-                                </div>
-                                <div className="auth-box">
-                                    <p className="username">{user.name}</p>
-                                    {user.role === Roles.RECRUITER && <p className="role">Recruiter</p>}
-                                    {user.role === Roles.JOBSEEKER && <p className="role">Job Seeker</p>}
-                                    {user.role === Roles.ADMIN && <p className="role">Admin</p>}
-                                </div>
-
-                            </div>
-                            <div className="menu-toggle" onClick={toggleMenu}></div>
-                            <ul className="menu">
-                                {user.role == Roles.JOBSEEKER &&
-                                    <>
-                                        <Link to="/job-seeker/edit-profile" onClick={toggleMenu} className="menu-link">
-                                            <i className="fa-solid fa-pen-to-square"></i> Edit profile
-                                        </Link>
-                                    </>
-                                }
-                                {user.role == Roles.RECRUITER &&
-                                    <>
-                                        <Link to="/recruiter/edit-profile" onClick={toggleMenu} className="menu-link">
-                                            <i className="fa-solid fa-pen-to-square"></i> Edit profile
-                                        </Link>
-                                    </>
-                                }
-
-                                <Link onClick={signOut} className="menu-link">
-                                    <i className="fa-solid fa-right-from-bracket"></i> Log out
-                                </Link>
-                            </ul>
-                        </div>
-                    </> :
-                    <>
-                        <Link to="/signin" className="btn auth-secondary-btn">Sign in</Link>
-                    </>
-                }
             </div>
         </nav>
